## org.apache.cassandra.service
Class RangeSliceVerbHandler

    java.lang.Object
      org.apache.cassandra.service.RangeSliceVerbHandler

All Implemented Interfaces:
  IVerbHandler

    public class RangeSliceVerbHandler

extends java.lang.Object
implements IVerbHandler

Constructor Summary
`RangeSliceVerbHandler()`

Method Summary
`void` `doVerb(Message message)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeSliceVerbHandler

    public RangeSliceVerbHandler()

Method Detail

### doVerb

    public void doVerb(Message message)

  Description copied from interface: `IVerbHandler`
  This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

  Specified by:
    `doVerb` in interface `IVerbHandler`
  Parameters:
    `message` - - incoming message that needs handling.

Copyright © 2010 The Apache Software Foundation